/* https://www.youtube.com/@maker101io */

//Includes the Servo library for servo motor control
#include <Servo.h>

//The Servo object is created. This object will be used to control the servo motor.
Servo servos[9];  // Define servo objects as an array

int servoPins[] = {2, 3, 4, 5, 6, 7, 8, 9, 10};  // Define servo pin numbers as an array

//It is the function that configures the initial settings of the Arduino. This function works only once.
void setup() {
  //The Servo object is connected to pin on the Arduino. This means that we will send the control signal of the servo motor to this pin.
  for (int i = 0; i < 9; i++) {
    servos[i].attach(servoPins[i]);  // Connect servo objects to pins
  }
  //Serial communication is initiated. This is a port used to communicate information serially with a computer or other device.
  Serial.begin(9600);
}

//It is the main loop of the Arduino that runs continuously.
void loop() {
  //Checks if data is received over the serial connection. If there is data, it enters the block.
  if (Serial.available() > 0) {
    //It reads a byte from the serial connection and assigns this value to the 'servopos' variable. This value will be used as the new position of the servo motor.
    int servopos = Serial.read();
    //Sets the position of the servo motor to the specified 'servopos' value. This moves the servomotor to the specified position.
    for (Servo &servo : servos) {
      servo.write(servopos);
    }
  }
}